import bpy
from bpy.types import Panel

def draw_scene_panel_extension(self, context):
    """Function to add the inclusion option to the Scene panel"""
    layout = self.layout
    scene = context.scene
    
    # Add a separator and our option at the end of the panel
    layout.separator()
    layout.prop(scene, "include_in_cycle", text="Include in Switcher")

def draw_view_layer_panel_extension(self, context):
    """Function to add the inclusion option to the ViewLayer panel"""
    layout = self.layout
    view_layer = context.view_layer
    
    # Add a separator and our option at the end of the panel
    layout.separator()
    layout.prop(view_layer, "include_in_cycle", text="Include in Switcher")

def register():
    # Append our draw functions to existing panels
    # Scene panel in Properties
    bpy.types.SCENE_PT_scene.append(draw_scene_panel_extension)
    # View Layer panel in Properties
    bpy.types.VIEWLAYER_PT_layer.append(draw_view_layer_panel_extension)

def unregister():
    # Remove our draw functions from existing panels
    bpy.types.SCENE_PT_scene.remove(draw_scene_panel_extension)
    bpy.types.VIEWLAYER_PT_layer.remove(draw_view_layer_panel_extension) 